Subject: Re: bug#20513: 11.88.5; TeX-view-program-list generated in wrong format by Customize

From: Mosè Giordano <[email-masked]>
Date: Thu, 7 May 2015 10:08:23 +0200

Hi Tassilo,

2015-05-07 8:39 GMT+02:00 Tassilo Horn <[email-masked]>:
> Дарио Ѓорѓевски <[email-masked]> writes:
>
> Hi!
>
>> Consider the following customization of the TeX-view-program-list
>> variable: http://i.imgur.com/xP6Cx5k.png
>> The generated Lisp expression looks like so:
>> '(("SumatraPDF"
>>    (("SumatraPDF.exe"
>>      (mode-io-correlate " -forward-search %b %n")
>>      " %o"))
>>    "SumatraPDF.exe"))
>>
>> This causes TeX-view-command-raw (tex.el, line 1354) to go into an
>> *infinite loop*. I do not know why the infinite loop occurs, however,
>> I know that changing
>>
>> (dolist (elt car spec)
>> to
>> (dolist (elt (car spec))
>>
>> solves the issue.
>
> The former line looks strange, indeed.  However, it seems you are
> looking at a different tex.el than the one that ships with ELPA AUCTeX
> 11.88.5.

I agree, but I confirm `TeX-view-program-list' is built in the wrong
way when changed with customize interface, as reported by Дарио.  It
worked as expected before commit

  * 59ccf34 (2014-11-28)  Check the viewer executable exists before opening it.

where the customization type of the variable was changed from an alist
to a repeated list, but the command part of the type hasn't been
modified.  How should it be fixed?

Bye,
Mosè